Bug 91558 - 2.4.20 vendor driver for ASUS P4PE NIC (Broadcom BCM440x)
2.4.20 vendor driver for ASUS P4PE NIC (Broadcom BCM440x)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://aamot.org/ole/log/Software/bcm...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-23 20:17 EDT by Ole Aamot
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ole Aamot 2003-05-23 20:17:34 EDT
Description of problem:

ZERO support for "Broadcom Corporation|BCM4401 100Base-T", the
integrated ASUS P4PE NIC, in standard 2.4.20-8 kernel version.

Version-Release number of selected component (if applicable):

Kernel 2.4.20-8 shipped with RedHat 9.

How reproducible:

kudzu fails to detect the NIC, and it isn't possible to load
the module bcm4400.o manually, since the module (provided by
Broadcom under the GPL) was not shipped as an add-on module.

Additional info:

We've installed RedHat 9 on ASUS P4PE based system with integrated
Broadcom BCM4401 NIC, compiled and installed the package mentioned
in the URL, and rebooted machine.

kudzu correcly detected NIC, added it to /etc/sysconfig/hwconf and
we finally got the machine online.

From /etc/sysconfig/hwconf

class: NETWORK
bus: PCI
detached: 0
device: eth
driver: bcm4400
desc: "Broadcom Corporation|BCM4401 100Base-T"
vendorId: 14e4
deviceId: 4401
subVendorId: 1043
subDeviceId: 80a8
pciType: 1

We've been using version 2.0.0 of the bcm4400 driver with
the 2.4.20-8 kernel and medium network traffic, on single
CPU box (ASUS P4PE, Intel P4 2.4MHz, 1 GB RAM) in the last
2 weeks.

Reference:

I received the free software driver package forwarded from 
Pavel Vondricka who got it from Broadcom developer Michael
Chan <mchan@broadcom.com>.

ftp1.broadcom.com seems to be unreachable at the moment, 
so I have put the source package (licensed by Broadcom
under GPL) at

  http://aamot.org/ole/log/Software/bcm4400-2.0.0.tar.gz

for your convenience.

I hope this gets added ASAP as the ASUS P4PE is a widely
used mother board.

Cheers,
Ole Aamot, Oslo, Norway

--
Original mail from Pavel:

Hi,
I forward you some news from Mr. Chan. I got it from someone, who had problems
with heavy traffic, which should be solved now (he commited success with the
new version). However, someone else had problems with downloading the file
lately, so I attach the package to this e-mail as well.

Please, forward it to anybody who may be interested (mail-lists, newsgroups
aso.).

Pavel

> Hi,
>
> The latest driver, which is still beta, is 2.0.0 and can be downloaded from:
>
> ftp://Net_sys_anon@ftp1.broadcom.com/bcm4400-2.0.0.tar.gz
>
> Michael


Changelog for bcm4400 linux driver:

>
> 2.0.0 (03/25/03)
>
> - Fixed a crash problem under heavy traffic caused by reset and tasklet
> running at the same time.
>
> 1.0.3 (02/25/03)
>
> - Fixed multiple problems with the reset logic.
> - Added magic packet WOL.
> - Fixed compiler warnings.
>
> 1.0.2 (09/06/02)
>
> - Fixed the problem of not passing traffic after stress.
>
> 1.0.1 (08/26/02)
>
> - Fixed the problem of resets during heavy traffic.
>
> 1.0.0 (08/22/02)
>
> - First release.
Comment 1 Ole Aamot 2003-06-08 07:10:14 EDT
Michael Chan (Broadcom) has released bcm4400 2.0.2

Available from
ftp://Net_sys_anon@ftp1.broadcom.com/bcm4400-2.0.2.tar.gz

From RELEASE.TXT:

v2.0.2 (April 28, 2003)
=======================

   Fixes:
   ------
   1. Problem: (CQ #7621) "Flow_Control_Advertisement" and
               "Speed_Advertisement" have no initial values in /proc
               file

      Cause: Related varaibles not initialized before ifup.

      Change: Added LM_SetupPhy call in LM_GetAdapterInfo.

      Impact: none.

v2.0.1 (April 23, 2003)
=======================

   Fixes:
   ------
   1. Problem: (CQ #7421) "Part_Number" has no value in /proc file

      Cause: 4401 does not have VPD.

      Change: Removed "Part_Number" entry from /proc file

      Impact: Only /proc file.

   Enhancements:
   -------------
   1. Request: No warning when compiling the driver without kernel
               headers

      Change: Changed Makefile to print a warning when kernel header
              files are not found.

      Impact: None.
Comment 2 Bugzilla owner 2004-09-30 11:40:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.